該死Ubuntu之NV大黃蜂沒一版能用

不同视角、不同观点、深度探讨,禁止人品和道德攻击
回复
头像
torachiyo
帖子: 75
注册时间: 2015-11-29 8:32
系统: Kali Linux
送出感谢: 0
接收感谢: 4 次

該死Ubuntu之NV大黃蜂沒一版能用

#1

帖子 torachiyo » 2016-03-23 11:17

Ubuntu 16.04 / Linux Mint 18

從nvidia-331試到nvidia-361
nvidia-prime 只限定支援LightDM... 排除MDM就對了...
nvduia驅動安裝腳本內也限制, prime安裝腳本跟文件也限制, 就是要非MDM才能用.
跑apt-build一樣沒用..

LinuxMint世界NO.1 已經嚇到Ubuntu了.

bumblebee 沒一版能用, 怎麼交互測試都是無法載入GPU.

不過....Ubuntu這種爛行為只有他在做而已...
Debian不與之同流合污...

裝Debian版的就都正常了.

追求精簡與潔癖者適用
關閉討人厭的自動安裝Ubuntu推薦套件
$ sudo leafpad /etc/apt/apt.conf
APT::Install-Recommends "0";
APT::Install-Suggests "0";


步驟如下...

把 Ubuntu/Linux Mint sources 改為 debian sid 的 sources
sudo leafpad /etc/apt/sources.list
deb http://debian.linux.org.tw/debian sid main contrib non-free
deb http://ftp.us.debian.org/debian/ sid main contrib non-free
deb http://ftp.fr.debian.org/debian/ sid main contrib non-free

刪除快取
sudo rm /var/lib/apt/lists/*

添加debian公鑰
sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 8B48AD6246925553
sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 7638D0442B90D010
sudo apt-get update

移除強碰套件
sudo apt-get --purge remove ubuntu-drivers-common

安裝debian版 NV大黃蜂
sudo apt-get install bumblebee-nvidia primus
sudo apt-get install nvidia-settings nvidia-xconfig mesa-utils

裝好之後復原動作
刪除快取
sudo rm /var/lib/apt/lists/*

還原 sources.list
sudo leafpad /etc/apt/sources.list
deb http://free.nchc.org.tw/linuxmint/packages sarah main upstream import backport
deb http://ftp.nsysu.edu.tw/Ubuntu/ubuntu xenial main restricted universe multiverse
deb http://ftp.nsysu.edu.tw/Ubuntu/ubuntu xenial-updates main restricted universe multiverse
deb http://ftp.nsysu.edu.tw/Ubuntu/ubuntu xenial-backports main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ xenial partner

sudo apt-get update

64-bit primus 支援32位元應用
sudo dpkg --add-architecture i386
sudo apt-get update
----Ubuntu版
sudo apt-get install primus-libs:i386
----Debian版
wget http://debian.linux.org.tw/debian/pool/ ... 1_i386.deb
wget http://debian.linux.org.tw/debian/pool/ ... 1_i386.deb
sudo dpkg -i primus-libs-ia32_*.deb primus-libs_*.deb
sudo apt-get -f install

完成....
这些用户感谢了作者 torachiyo 于这个帖子:
科学之子 (2016-04-02 22:21)
评价: 3.7%
科学之子
帖子: 2240
注册时间: 2013-05-26 6:58
系统: Debian 9
送出感谢: 834 次
接收感谢: 31 次

Re: 該死Ubuntu之NV大黃蜂沒一版能用

#2

帖子 科学之子 » 2016-04-01 20:39

:em11
Debian其实比Ubuntu更简单,更易用,更稳定,除了它的安装界面略丑,操作体验跟GUI没什么区别,只是鼠标点击换成了方向键选择菜单.
poloshiao
论坛版主
帖子: 18203
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1926 次

Re: 該死Ubuntu之NV大黃蜂沒一版能用

#3

帖子 poloshiao » 2016-04-01 21:13

Ubuntu之NV大黃蜂沒一版能用
bumblebee 沒一版能用, 怎麼交互測試都是無法載入GPU.
1. Bumblebee 屬於 第三方軟件 不是由 kernel 提供
Ubuntu 16.04 / Linux Mint 18
2. Ubuntu 16.04 及其 Flavors 版本
其 Linux kernel 是經過 Ubuntu 編譯的
預設就支援雙顯卡 包含 N 卡的 Optimus 顯卡
意思是 不需額外安裝 Bumblebee
2-1. 參見
https://wiki.ubuntu.com/X/Config/HybridGraphics
头像
torachiyo
帖子: 75
注册时间: 2015-11-29 8:32
系统: Kali Linux
送出感谢: 0
接收感谢: 4 次

Re: 該死Ubuntu之NV大黃蜂沒一版能用

#4

帖子 torachiyo » 2016-04-01 23:51

科学之子 写了::em11
Debian其实比Ubuntu更简单,更易用,更稳定,除了它的安装界面略丑,操作体验跟GUI没什么区别,只是鼠标点击换成了方向键选择菜单.
都一樣 ˇ ˇ

核心可以自己編譯
Debian 的核心反遲鈍 但換成RT 核心效能比官方提供的通用核心好很多

安裝界面 ???

我的都是終端機界面....

http://mintfans.pixnet.net/blog/post/74 ... -lmde-xfce

http://mintfans.pixnet.net/blog/post/73 ... nt-18-xfce

有一點可以確定的是 Debian 套件過時 有些套件在新版不能用.

推測應該是人力不足.... 它公司人快跑光了或沒錢請人.
这些用户感谢了作者 torachiyo 于这个帖子:
科学之子 (2016-04-02 0:02)
评价: 3.7%
科学之子
帖子: 2240
注册时间: 2013-05-26 6:58
系统: Debian 9
送出感谢: 834 次
接收感谢: 31 次

Re: 該死Ubuntu之NV大黃蜂沒一版能用

#5

帖子 科学之子 » 2016-04-02 0:29

torachiyo 写了:
科学之子 写了::em11
Debian其实比Ubuntu更简单,更易用,更稳定,除了它的安装界面略丑,操作体验跟GUI没什么区别,只是鼠标点击换成了方向键选择菜单.
都一樣 ˇ ˇ

核心可以自己編譯
Debian 的核心反遲鈍 但換成RT 核心效能比官方提供的通用核心好很多

安裝界面 ???

我的都是終端機界面....

http://mintfans.pixnet.net/blog/post/74 ... -lmde-xfce

http://mintfans.pixnet.net/blog/post/73 ... nt-18-xfce

有一點可以確定的是 Debian 套件過時 有些套件在新版不能用.
推測應該是人力不足.... 它公司人快跑光了或沒錢請人.
都一樣 ˇ ˇ
在VirtualBox里尝试了Ubuntu Server,发现它的installer一堆卡慢BUG,要等很久才能菜单,Debian的installer正常
核心可以自己編譯
Debian 的核心反遲鈍 但換成RT 核心效能比官方提供的通用核心好很多
RT是什么?Windows RT?还是"RT-Thread RTOS"?
安裝界面 ???
我的都是終端機界面....
我是台式机环境,和楼主手机环境不同
原来系统还可以这么安装,受教,感谢.
不过楼主自用桌面系统也这么装吗?
虽然理论上没问题,但总感觉好像是给嵌入式用的感觉
还是楼主桌面系统就不用Linux了?
有一點可以確定的是 Debian 套件過時 有些套件在新版不能用.

推測應該是人力不足.... 它公司人快跑光了或沒錢請人.
套件过时的话可以用testing或sid源
Debian不是商业公司,而是一个社区自发形成的发行版.
人力不足是有可能,但是"没钱请人"感觉怪怪的,他本来就不是商业公司,为什么要花钱请人?
自由软件本质上就是开发者解决自己的需求,然后发出来分享,为非开发人员解决问题是第二位的.
头像
torachiyo
帖子: 75
注册时间: 2015-11-29 8:32
系统: Kali Linux
送出感谢: 0
接收感谢: 4 次

Re: 該死Ubuntu之NV大黃蜂沒一版能用

#6

帖子 torachiyo » 2016-04-02 2:32

科学之子 写了:
torachiyo 写了:
科学之子 写了::em11
Debian其实比Ubuntu更简单,更易用,更稳定,除了它的安装界面略丑,操作体验跟GUI没什么区别,只是鼠标点击换成了方向键选择菜单.
都一樣 ˇ ˇ

核心可以自己編譯
Debian 的核心反遲鈍 但換成RT 核心效能比官方提供的通用核心好很多

安裝界面 ???

我的都是終端機界面....

http://mintfans.pixnet.net/blog/post/74 ... -lmde-xfce

http://mintfans.pixnet.net/blog/post/73 ... nt-18-xfce

有一點可以確定的是 Debian 套件過時 有些套件在新版不能用.
推測應該是人力不足.... 它公司人快跑光了或沒錢請人.
都一樣 ˇ ˇ
在VirtualBox里尝试了Ubuntu Server,发现它的installer一堆卡慢BUG,要等很久才能菜单,Debian的installer正常
核心可以自己編譯
Debian 的核心反遲鈍 但換成RT 核心效能比官方提供的通用核心好很多
RT是什么?Windows RT?还是"RT-Thread RTOS"?
安裝界面 ???
我的都是終端機界面....
我是台式机环境,和楼主手机环境不同
原来系统还可以这么安装,受教,感谢.
不过楼主自用桌面系统也这么装吗?
虽然理论上没问题,但总感觉好像是给嵌入式用的感觉
还是楼主桌面系统就不用Linux了?
有一點可以確定的是 Debian 套件過時 有些套件在新版不能用.

推測應該是人力不足.... 它公司人快跑光了或沒錢請人.
套件过时的话可以用testing或sid源
Debian不是商业公司,而是一个社区自发形成的发行版.
人力不足是有可能,但是"没钱请人"感觉怪怪的,他本来就不是商业公司,为什么要花钱请人?
自由软件本质上就是开发者解决自己的需求,然后发出来分享,为非开发人员解决问题是第二位的.


既然沒公司 那沒錢請人是肯定的 图片

jessie
https://packages.debian.org/jessie/catfish

sid
https://packages.debian.org/sid/catfish

這個可以拿到sid 測試看能不能用. 有沒有搜尋功能 要試了才知道 图片

在看Ubuntu的版本
http://packages.ubuntu.com/xenial/catfish

你可以把Ubuntu的版本裝在Debian上 看能不能用.

就說了都一樣 图片

還有你也可以把ubuntu的 Linux-image 裝在Debian上面 可以百分之百跟你保證絕對能用 图片

而且不僅是可以這樣裝 你要拿Fedora的 Linux-image 也一樣可以拿到 ubuntu或 Debian上面用 图片

因為 同時期 各版本 Linux 的 Binary, 是可以通用的.

PREEMPT-RT 核心
http://linux.ximizi.com/linux/linux5162.htm
http://antimalicious.blogspot.tw/2009/0 ... ltime.html

只用通用版本核心當然不知道...

系統本來就可以這樣裝
debian 的 Debootstrap 跟 Archlinux 的 pacstrap 一樣

從底曾開始建立系統
不过楼主自用桌面系统也这么装吗?
當然 我不裝發行版CD的

也不用Ubuntu 或 Debian 我用的是升級版的 Linux Mint 跟 LMDE

因為 Linux Mint 就是 Ubuntu + Mint 表皮 LMDE 就是 Debian + Mint 表皮 图片
我是台式机环境,和楼主手机环境不同
沒錯 是的...
我的手機沒裝 Linux 而是裝 IOS 图片

图片


總結 : Debian 跟 Ubuntu 根本一樣
核心設定值可能不太一樣 不過換了核心 性能根本沒差異.
由於都是來自同一個原始碼編譯出來 頂多是少部份套件名稱不同 混源要自己手動解決依賴問題.
幾乎全部都能通用....

各發行版的Linux 基本上大同小異 沒有那一版多穩多強大的 那是騙塔利班跟三歲小孩的 图片
这些用户感谢了作者 torachiyo 于这个帖子:
科学之子 (2016-04-02 3:02)
评价: 3.7%
科学之子
帖子: 2240
注册时间: 2013-05-26 6:58
系统: Debian 9
送出感谢: 834 次
接收感谢: 31 次

Re: 該死Ubuntu之NV大黃蜂沒一版能用

#7

帖子 科学之子 » 2016-04-02 5:40

torachiyo 写了:
科学之子 写了:
torachiyo 写了:
科学之子 写了::em11
Debian其实比Ubuntu更简单,更易用,更稳定,除了它的安装界面略丑,操作体验跟GUI没什么区别,只是鼠标点击换成了方向键选择菜单.
都一樣 ˇ ˇ

核心可以自己編譯
Debian 的核心反遲鈍 但換成RT 核心效能比官方提供的通用核心好很多

安裝界面 ???

我的都是終端機界面....

http://mintfans.pixnet.net/blog/post/74 ... -lmde-xfce

http://mintfans.pixnet.net/blog/post/73 ... nt-18-xfce

有一點可以確定的是 Debian 套件過時 有些套件在新版不能用.
推測應該是人力不足.... 它公司人快跑光了或沒錢請人.
都一樣 ˇ ˇ
在VirtualBox里尝试了Ubuntu Server,发现它的installer一堆卡慢BUG,要等很久才能菜单,Debian的installer正常
核心可以自己編譯
Debian 的核心反遲鈍 但換成RT 核心效能比官方提供的通用核心好很多
RT是什么?Windows RT?还是"RT-Thread RTOS"?
安裝界面 ???
我的都是終端機界面....
我是台式机环境,和楼主手机环境不同
原来系统还可以这么安装,受教,感谢.
不过楼主自用桌面系统也这么装吗?
虽然理论上没问题,但总感觉好像是给嵌入式用的感觉
还是楼主桌面系统就不用Linux了?
有一點可以確定的是 Debian 套件過時 有些套件在新版不能用.

推測應該是人力不足.... 它公司人快跑光了或沒錢請人.
套件过时的话可以用testing或sid源
Debian不是商业公司,而是一个社区自发形成的发行版.
人力不足是有可能,但是"没钱请人"感觉怪怪的,他本来就不是商业公司,为什么要花钱请人?
自由软件本质上就是开发者解决自己的需求,然后发出来分享,为非开发人员解决问题是第二位的.


既然沒公司 那沒錢請人是肯定的 图片

jessie
https://packages.debian.org/jessie/catfish

sid
https://packages.debian.org/sid/catfish

這個可以拿到sid 測試看能不能用. 有沒有搜尋功能 要試了才知道 图片

在看Ubuntu的版本
http://packages.ubuntu.com/xenial/catfish

你可以把Ubuntu的版本裝在Debian上 看能不能用.

就說了都一樣 图片

還有你也可以把ubuntu的 Linux-image 裝在Debian上面 可以百分之百跟你保證絕對能用 图片

而且不僅是可以這樣裝 你要拿Fedora的 Linux-image 也一樣可以拿到 ubuntu或 Debian上面用 图片

因為 同時期 各版本 Linux 的 Binary, 是可以通用的.

PREEMPT-RT 核心
http://linux.ximizi.com/linux/linux5162.htm
http://antimalicious.blogspot.tw/2009/0 ... ltime.html

只用通用版本核心當然不知道...

系統本來就可以這樣裝
debian 的 Debootstrap 跟 Archlinux 的 pacstrap 一樣

從底曾開始建立系統
不过楼主自用桌面系统也这么装吗?
當然 我不裝發行版CD的

也不用Ubuntu 或 Debian 我用的是升級版的 Linux Mint 跟 LMDE

因為 Linux Mint 就是 Ubuntu + Mint 表皮 LMDE 就是 Debian + Mint 表皮 图片
我是台式机环境,和楼主手机环境不同
沒錯 是的...
我的手機沒裝 Linux 而是裝 IOS 图片

图片


總結 : Debian 跟 Ubuntu 根本一樣
核心設定值可能不太一樣 不過換了核心 性能根本沒差異.
由於都是來自同一個原始碼編譯出來 頂多是少部份套件名稱不同 混源要自己手動解決依賴問題.
幾乎全部都能通用....

各發行版的Linux 基本上大同小異 沒有那一版多穩多強大的 那是騙塔利班跟三歲小孩的 图片
PREEMPT-RT 核心
受教,感谢,回头我也打这补丁试试.
當然 我不裝發行版CD的
我用iso也是用的netinst.iso,不是那种臃肿的iso
我现在的系统是Debian,想安装ArchLinux,用pacstrap这种就不行了吧?
感觉deboostrap,pacstrap之类装系统总是有些限制.
这种安装方式感觉就像先要养个幼崽,性成熟之后才能繁育下一代
iso就像一枚卵,直接孵化出来就能用了
感觉如果需要系统"持续下蛋",deboostrap,pacstrap之类就比较适合(直接复制整个系统到新的媒介,然后修改一下fstab之类不是更方便?);
但"母鸡"还是用netinst.iso这类官方推荐方式吧
總結 : Debian 跟 Ubuntu 根本一樣
各發行版的Linux 基本上大同小異 沒有那一版多穩多強大的 那是騙塔利班跟三歲小孩的
原理上是根本一样,但重要的细节和用户体验上却不一样.
比如楼主这个问题算怎么回事?

Tue Apr 5 12:58:12 CST 2016补充:
今天启动到netinst.iso原来里面也有deboostrap.
再次感谢
上次由 科学之子 在 2016-04-05 12:55,总共编辑 1 次。
poloshiao
论坛版主
帖子: 18203
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1926 次

Re: 該死Ubuntu之NV大黃蜂沒一版能用

#8

帖子 poloshiao » 2016-04-02 12:17

受教,感谢,回头我也打这补丁试试.
1. Ubuntu 16.04
預設安裝
linux-image-4.4.0-16-generic
http://packages.ubuntu.com/xenial/linux ... 16-generic
1-1. 如果你額外安裝 linux-image-4.4.0-16-lowlatency linux-headers-4.4.0-16-lowlatency
1-1-1. linux-image-4.4.0-16-lowlatency
http://packages.ubuntu.com/xenial/linux ... lowlatency
1-1-2. linux-headers-4.4.0-16-lowlatency
http://packages.ubuntu.com/xenial/linux ... lowlatency
安裝後 從開機選單 選擇 linux-image-4.4.0-16-lowlatency 登入
體驗看看

2. 有關 lowlatency 及 real time 進一步 參閱
2-1. https://help.ubuntu.com/community/Ubunt ... TimeKernel
RealTimeKernel
2-2. https://help.ubuntu.com/community/UbuntuStudio
UbuntuStudio
2-3. https://wiki.ubuntu.com/TrustyTahr/Rele ... untuStudio
Feature Changes for 14.04 LTS
linux-lowlatency is now merged with linux-generic master branch, which means the two are almost identical feature wise. linux-lowlatency continues to be configured for preemtiveness and irq threading and depends on the rtirq script.
这些用户感谢了作者 poloshiao 于这个帖子:
科学之子 (2016-04-02 21:32)
评价: 3.7%
头像
photor
论坛版主
帖子: 11005
注册时间: 2008-04-26 12:41
送出感谢: 8 次
接收感谢: 36 次

Re: 該死Ubuntu之NV大黃蜂沒一版能用

#9

帖子 photor » 2016-04-02 13:40

poloshiao 写了:
Ubuntu之NV大黃蜂沒一版能用
bumblebee 沒一版能用, 怎麼交互測試都是無法載入GPU.
1. Bumblebee 屬於 第三方軟件 不是由 kernel 提供
Ubuntu 16.04 / Linux Mint 18
2. Ubuntu 16.04 及其 Flavors 版本
其 Linux kernel 是經過 Ubuntu 編譯的
預設就支援雙顯卡 包含 N 卡的 Optimus 顯卡
意思是 不需額外安裝 Bumblebee
2-1. 參見
https://wiki.ubuntu.com/X/Config/HybridGraphics
学习了,还有这么一说 :em09
头像
torachiyo
帖子: 75
注册时间: 2015-11-29 8:32
系统: Kali Linux
送出感谢: 0
接收感谢: 4 次

Re: 該死Ubuntu之NV大黃蜂沒一版能用

#10

帖子 torachiyo » 2016-04-02 14:53

photor 写了:
poloshiao 写了:
Ubuntu之NV大黃蜂沒一版能用
bumblebee 沒一版能用, 怎麼交互測試都是無法載入GPU.
1. Bumblebee 屬於 第三方軟件 不是由 kernel 提供
Ubuntu 16.04 / Linux Mint 18
2. Ubuntu 16.04 及其 Flavors 版本
其 Linux kernel 是經過 Ubuntu 編譯的
預設就支援雙顯卡 包含 N 卡的 Optimus 顯卡
意思是 不需額外安裝 Bumblebee
2-1. 參見
https://wiki.ubuntu.com/X/Config/HybridGraphics
学习了,还有这么一说 :em09
他說的是裝 nvidia-prime

Ubuntu 的話會預設會自動裝 nvidia-prime

但是它只支援 LightDM

Linux Mint 使用 MDM 裝 nvidia-prime 沒作用
Linux Mint 18 正式版還沒發布 要等它修正才有MDM 版本

但是nvidia-prime比較耗電
Bumblebee 切換顯卡比較完美 溫度也比較低

nVdia Optimus 獨顯 除了安裝基本的 nvidia 驅動 還要額外安裝 nvidia-prime 或 Bumblebee 才會有切換功能.
科学之子
帖子: 2240
注册时间: 2013-05-26 6:58
系统: Debian 9
送出感谢: 834 次
接收感谢: 31 次

Re: 該死Ubuntu之NV大黃蜂沒一版能用

#11

帖子 科学之子 » 2016-04-03 14:36

poloshiao 写了:
受教,感谢,回头我也打这补丁试试.
1. Ubuntu 16.04
預設安裝
linux-image-4.4.0-16-generic
http://packages.ubuntu.com/xenial/linux ... 16-generic
1-1. 如果你額外安裝 linux-image-4.4.0-16-lowlatency linux-headers-4.4.0-16-lowlatency
1-1-1. linux-image-4.4.0-16-lowlatency
http://packages.ubuntu.com/xenial/linux ... lowlatency
1-1-2. linux-headers-4.4.0-16-lowlatency
http://packages.ubuntu.com/xenial/linux ... lowlatency
安裝後 從開機選單 選擇 linux-image-4.4.0-16-lowlatency 登入
體驗看看

2. 有關 lowlatency 及 real time 進一步 參閱
2-1. https://help.ubuntu.com/community/Ubunt ... TimeKernel
RealTimeKernel
2-2. https://help.ubuntu.com/community/UbuntuStudio
UbuntuStudio
2-3. https://wiki.ubuntu.com/TrustyTahr/Rele ... untuStudio
Feature Changes for 14.04 LTS
linux-lowlatency is now merged with linux-generic master branch, which means the two are almost identical feature wise. linux-lowlatency continues to be configured for preemtiveness and irq threading and depends on the rtirq script.
这是我用Debian之后第一次看到Ubuntu实用型的优点,感谢您的提醒.
Sun Apr 10 23:31:11 CST 2016补充:
原来Debian也有这个包,只不过是我搜索包时忘记了aptitude update
回复

回到 “深度PK版”